Subject: RE: The status of the approaches to the E-Tree solution?

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 24 Apr 2012 23:11:08 +0300

Preservation requires egress = ingress vid - how does the egress pe know what the ingress vid was, if the ingress vid was swapped at ingress?

Thumb typed - please be tolerant

"Fedyk, Donald (Don)" <[email-masked]> wrote:

Dan

In an E-Tree Model you have logically one VLAN on ingress and one on Egress. In the E-Tree you can use a Root or Leaf VID. (one or the other.)

So you have:
ingress VLAN ID <-> Etree Root/Leaf VID <-> Egress VID.

Ingress VID does not have to equal Egress VID but regardless there is only ever one VID on a frame at a time.

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

I don't know what kind of translation you propose but I don't see how you can preserve the original s-vlan id plus root/leaf in the same number of bits

Thumb typed - please be tolerant

"Hernandez-Valencia, Enrique (Enrique)" <[email-masked]> wrote:

VLAN-ID preservation does not necessarily require a third VLAN-ID. VLAN-ID translation is sufficient.

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

No, the other way round. In the 2-VLAN solution, S-VLAN ID preservation requires adding a third VLAN ID. In the multi-PW solution, this is not required.

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,
Is it so that you consider S-VAL stacking?
If this is the case, are you aware that this is not in-line with the IEEE specifications?
Best regard,
Nurit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

even if the current MEF framework doesn't require s-vlan preservation, I believe it's to the industry's benefit to adopt a solution that is not constrained to a specific enni model that, like all things networking, is likely to evolve. Especially when such a solution is available.

Daniel

Thumb typed - please be tolerant

Lucy yong <[email-masked]> wrote:

Daniel,

MEF has worked in ENNI interface for a long time with many service providers' inputs. It had a fair reason to assume S-VLAN over ENNI by then. It may open B-VLAN for the future. It is better for us not to discuss  a future framework here, because it will lead us to nowhere. Here, we want to extend VPLS in supporting E-Tree.

Best Regards,
Lucy

From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Sunday, April 22, 2012 7:34 AM
To: Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Shahram and all,

This question already came up in our discussions - is it safe to assume that the VLAN tags at the E-NNI will always be according to the current MEF model? Or should we try to be as transparent as possible to user VLAN encapsulation at the E-NNI, to accommodate future frameworks?
I believe that any approach that looks at user payload (in this case VLAN tag) to signal VPLS information (in this case root/leaf origin) is necessarily tied to specific assumptions on user payload encapsulation (in this case, that S-VLAN tag is "available" to encode root/leaf). I don't think this is a future-proof assumption, it's very likely that other network models will come up that require S-VLAN preservation, which in the 2-VLAN approach would necessitate adding a third VLAN-ID.

Daniel

From: Shahram Davari <[email-masked]<mailto:[email-masked]>>
To: Lizhong Jin <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: The status of the approaches to the E-Tree solution?

Hi,

I also have a question regarding 2-VLAN. What if the customer traffic already has an S-VLAN? Do we need a 3rd VLAN to identify the L/R?

Thx
Shahram

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Lizhong Jin
Sent: Friday, April 20, 2012 9:38 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: RE: The status of the approaches to the E-Tree solution?

Hi, all,
The difference between 2-VLAN and CW approach is who will provide the R/L information, customer payload or PW? The customer payload will be always modified to carry R/L information in 2-VLAN approach, while PW with CW will carry R/L information for CW approach.
I have a question with the 2-VLAN approach in H-VPLS where H-VPLS is accessed by VPWS as described in RFC4672 section 10.1.3. If VPWS is used to access H-VPLS, how could the PE on VPWS side adds VLAN to indicate R/L information?

Thanks
Lizhong

> ------------------------------
>
> Message: 2
> Date: Thu, 19 Apr 2012 04:38:36 +0000
> From: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
> To: "Rogers, Josh" <[email-masked]<mailto:[email-masked]>>, Lucy yong
>        <[email-masked]<mailto:[email-masked]>>, Daniel Cohn <[email-masked]<mailto:[email-masked]>>, Sam Cao
>        <[email-masked]<mailto:[email-masked]>>
> Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
> Subject: RE: The status of the approaches to the E-Tree solution?
> Message-ID:
>        <[email-masked]<mailto:[email-masked]>>
> Content-Type: text/plain; charset="us-ascii"
>
> Hi all,
> I fully understand that that what I am going to say is not very popular, but:
>
> IMO one of the advantages of the CW-based solution is that it is orthogonal to usage (or non-usage) of P2MP PWs for effective delivery of BUN traffic.
>
> Another advantage is preservation of full mesh of P2P PWs in a VPLS, and, in a more generic way, localization of effects of changes in the PE configuration.
>
> In particular, adding a Leaf AC to a PE that previously has been only supporting Root ACs (or vice versa), removal of the last Leaf or last Root AC from a PE that previously has been supporting a mix etc. affect only the PE where this operation happens and not the rest of the PEs.
>
> As for the need for HW changes that have been mentioned as a main disadvantage of the CW-based approach - I believe it strongly depends on specific implementations. And some changes in the forwarding process are required in any solution.
>
> My 2c,
>     Sasha
>
>
>
> ________________________________________
> From: [email-masked]<mailto:[email-masked]> [[email-masked]<mailto:[email-masked]>] on behalf of Rogers, Josh [[email-masked]<mailto:[email-masked]>]
> Sent: Wednesday, April 18, 2012 9:57 PM
> To: Lucy yong; Daniel Cohn; Sam Cao
> Cc: [email-masked]<mailto:[email-masked]>
> Subject: Re: The status of the approaches to the E-Tree solution?
>
> Again, the P2MP situation throws me.  Is this something that is used
> commonly?
>
> I'm under the impression that adding P2MP to any model results in a more
> complex model.  Wether outside s-tag is used to differentiate, or
> dedicated pw's are used for the same purpose, it seems both become more
> complex.
>
> Gile's comparison slide still concisely captures the differences between
> these methods, in my opinion.  I haven't seen any new ideas or thoughts
> brought to the group in the past week or two on the subject.  I would hate
> for both proposed methods to die on the vine because we couldn't decide
> between two methods that have nothing inherently wrong with either.
>
> -Josh
>
>
> On 4/18/12 1:53 PM, "Lucy yong" <[email-masked]<mailto:[email-masked]>> wrote:
>
>>Send this again.
>>
>>Two PW approach can be complex too if the VPLS instance for E-Tree uses
>>P2P PW for unicast traffic and P2MP PW for broadcast and unknown
>>unicast traffic, and some P2MP PWs for multicast traffic. It may double
>>all of them.
>>
>>Lucy
>>
>>-----Original Message-----
>>From: Daniel Cohn [mailto:[email-masked]<mailto:[email-masked]>]
>>Sent: Wednesday, April 18, 2012 1:42 PM
>>To: Lucy yong; Rogers, Josh; Sam Cao
>>Cc: [email-masked]<mailto:[email-masked]>
>>Subject: RE: The status of the approaches to the E-Tree solution?
>>
>>I think the first option its the natural way to go. How is the processing
>>in this case more complex?
>>
>>Thumb typed - please be tolerant
>>
>>Lucy yong <[email-masked]<mailto:[email-masked]>> wrote:
>>
>>
>>
>>Snipped..
>>
>>Multi-PW - On ingress PE, frame is placed onto either a Leaf-only P2MP PW
>>(for traffic coming from a leaf AC), or onto a Root/Leaf P2MP PW (for
>>traffic coming from a root AC)
>>[[LY]] Not that simple. You construct either two P2MP PWs to all other
>>PEs and let egress PE performing filtering, or construct one P2MP PW to
>>leaf-only PEs and two P2MP PWs to root and leaf PEs and let ingress PE
>>perform forwarding and filtering. Both make node process complex.
>>
>>[[LY]] VPLS is built with the mechanism utilizing P2P and P2MP PW for
>>delivering the frames to remote PEs. We should utilize them with the
>>minimized changes. Dual VLAN solution is simpler than Dual PW.
>>
>>Regards,
>>Lucy
>>
>>
>>I see how 2VLAN is simpler when P2MP PW's are involved, I think.  I
>>haven't had any first hand experience with P2MP PW's, however, so don't
>>feel terribly strong about this objection.  Is this a real problem for
>>others (now or in the future), or is this objection in the weeds?
>>
>>I'm not sure the 'additional complexity' is notable, or even relevant.  I
>>encourage others to speak up if they disagree, as P2MP PW is only
>>conceptual to me, and I am unfamiliar with real-life use cases for it.
>>
>>Thanks,
>>Josh
>>
>>
>>
>>On 4/18/12 10:30 AM, "Lucy yong" <[email-masked]<mailto:[email-masked]>> wrote:
>>
>>>Please see inline.
>>>
>>>-----Original Message-----
>>>From: Sam Cao [mailto:[email-masked]<mailto:[email-masked]>]
>>>Sent: Tuesday, April 17, 2012 7:14 AM
>>>To: 'Daniel Cohn'; Lucy yong; 'Rogers, Josh'; 'Henderickx, Wim (Wim)';
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>
>>>Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
>>>Subject: RE: The status of the approaches to the E-Tree solution?
>>>
>>>Yes, 2 pws are only needed between pes with both root and leaf acs after
>>>improving Dual-PW approach. If consider P2MP, Dual-PW approach setup 2
>>>P2MP
>>>PWs if need. There is no difference between P2MP or normal PW setup. But,
>>>can Leaf-ACs be bound to Root PE of P2MP PW?
>>>
>>>[[LY]] No, it makes complex in setting up P2MP PW. Should a PE with both
>>>root and leaf ACs set up two or one P2MP PW to other PEs (some PE have
>>>both root and leaf AC and some only have leaf ACs)?
>>>Regards,
>>>Lucy
>>>
>>>Regards,
>>>
>>>Yuqun (Sam) Cao
>>>E-mail: [email-masked]<mailto:[email-masked]>
>>>
>>>
>>>-----Original Message-----
>>>From: Daniel Cohn [mailto:[email-masked]<mailto:[email-masked]>]
>>>Sent: Tuesday, April 17, 2012 4:56 PM
>>>To: Lucy yong; Rogers, Josh; Henderickx, Wim (Wim);
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Sam Cao
>>>Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
>>>Subject: RE: The status of the approaches to the E-Tree solution?
>>>
>>>Adding Sam (as l2vpn@ is holding messages)
>>>
>>>DC
>>>
>>>-----Original Message-----
>>>From: Lucy yong [mailto:[email-masked]<mailto:[email-masked]>]
>>>Sent: Tuesday, April 17, 2012 12:39 AM
>>>To: Daniel Cohn; Rogers, Josh; Henderickx, Wim (Wim);
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>
>>>Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
>>>Subject: RE: The status of the approaches to the E-Tree solution?
>>>
>>>
>>>Snipped,
>>>
>>>As we discussed extensively in the list, and as reflected in giles
>>>slide, 2 pws are only needed between pes with both root and leaf acs,
>>>which will typically be a small minority.
>>>[[LY]] Don't know if the assumption is true. Even it is the case, both
>>>approaches can benefit from it. I was off for a while and captures some
>>>discussions now.
>>>
>>>Also as per giles slide, dual vlan can have scalability issues due to
>>>additional lookup and double use of vlans in internal emulated lan
>>>interface. Also there are potential backward compatibility issues with
>>>silicon that doesn't support vlan mapping.
>>>[[LY]] I was not in IETF83 meeting and wait on the meeting minutes. I am
>>>not clear on all the issues. Could you be more specific? As I mentioned
>>>in below, two PW approach makes VPLS transport construction and packet
>>>forwarding more complex, I can see potential backward compatibility
>>>issues with 2 PW solution.
>>>
>>>Regards,
>>>Lucy
>>>
>>>Regards,
>>>
>>>Daniel
>>>
>>>Thumb typed - please be tolerant
>>>
>>>Lucy yong <[email-masked]<mailto:[email-masked]>> wrote:
>>>
>>>In my mind, the VLAN approach means dual vlan method.
>>>
>>>The main concern for CW approach is hardware support.
>>>
>>>Two PW approach can be complex too if the VPLS instance for E-Tree uses
>>>P2P PW for unicast traffic and P2MP PW for broadcast and unknown unicast
>>>traffic, and some P2MP PWs for multicast traffic. It may double all of
>>>them.
>>>
>>>E-tree is an Ethernet service and there is already VLAN based solution
>>>in IEEE, can we just utilize it without complicating VPLS transport
>>>construction? This also makes interworking with Eth only network easier.
>>>
>>>Cheers,
>>>Lucy
>>>
>>>-----Original Message-----
>>>From: Rogers, Josh [mailto:[email-masked]<mailto:[email-masked]>]
>>>Sent: Monday, April 16, 2012 8:35 AM
>>>To: Lucy yong; Henderickx, Wim (Wim); [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>'
>>>Cc: [email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>'
>>>Subject: RE: The status of the approaches to the E-Tree solution?
>>>
>>>I believe the initial question was in regard to the CW method.  Are you
>>>saying that you no longer are interested in that method in preference of
>>>the dual vlan method?
>>>
>>>
>>>
>>>Lucy yong <[email-masked]<mailto:[email-masked]>> wrote:
>>>
>>>
>>>Agree with Wim. VLAN approach is the best solution for E-Tree.
>>>
>>>Lucy
>>>
>>>-----Original Message-----
>>>From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf
>>>Of Henderickx, Wim (Wim)
>>>Sent: Thursday, April 12, 2012 2:03 AM
>>>To: [email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>'
>>>Cc: [email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>'; [email-masked]<mailto:[email-masked]>'
>>>Subject: Re: The status of the approaches to the E-Tree solution?
>>>
>>>The vlan approach is superior as it also works for eth only networks,
>>>etc. On top some vendors indicate hw issues with the cw approach. As
>>>such we have dropped more or less the cw approach.
>>>
>>>Cheers,
>>>Wim
>>>_________________
>>>sent from blackberry
>>>
>>>----- Original Message -----
>>>From: Giles Heron [mailto:[email-masked]<mailto:[email-masked]>]
>>>Sent: Thursday, April 12, 2012 08:22 AM
>>>To: Simon Delord <[email-masked]<mailto:[email-masked]>>; Alexander Vainshtein
>>><[email-masked]<mailto:[email-masked]>>
>>>Cc: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>; Vladimir Kleiner
>>><[email-masked]<mailto:[email-masked]>>; Andrew Sergeev
>>><[email-masked]<mailto:[email-masked]>>; Idan Kaspit <[email-masked]<mailto:[email-masked]>>;
>>>Mishael Wexler <[email-masked]<mailto:[email-masked]>>; Rotem Cohen
>>><[email-masked]<mailto:[email-masked]>>
>>>Subject: Re: The status of the approaches to the E-Tree solution?
>>>
>>>Sorry - the "anonymous presentation" was mine.  I should possibly have
>>>put in a third column on the CW approach.  And hopefully the minutes
>>>will be posted soon.
>>>
>>>We had various discussions, as Simon stated, and consensus seemed to be
>>>forming around the two alternatives of two PWEs or two VLANs.  I believe
>>>three of the authors of the CW approach are also authors of the two VLAN
>>>approach and one is also an author of the two PWE approach. So perhaps
>>>it's best to let those four individuals say which approach they prefer
>>>and why?
>>>
>>>Giles
>>>
>>>On 10/04/2012 00:45, "Simon Delord" <[email-masked]<mailto:[email-masked]>> wrote:
>>>
>>>> Hi Alexander,
>>>>
>>>> You are right, no discussion on the WG mailing list recently, but
>>>> there have been substantial discussions among the authors of various
>>>> solution drafts off the mailing list. As far as I know, no consensus
>>>> yet before ietf83, not sure the progress in the Paris WG meeting. I
>>>> think the CW approach has not been rejected by the WG yet, or the WG
>>>> has not yet decided on which one to adopt.
>>>>
>>>> Simon
>>>>
>>>> 2012/4/8 Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
>>>>
>>>>>  Hi all,
>>>>>
>>>>> Unfortunately I have not been able to attend the Paris IETF.
>>>>>
>>>>> However, looking up the L2VPN proceedings, I've found a short
>>>>> anonymous presentation called "E-Tree Update"  (
>>>>> http://www.ietf.org/proceedings/83/slides/slides-83-l2vpn-1.pptx).
>>>>> This presentation discusses the differences of the E-Tree approaches
>>>>> based on dedicated VLANs (as in
>>>>> http://datatracker.ietf.org/doc/draft-cao-l2vpn-vpls-etree/?include_t
>>>>> ext=1) and multiple PWs between the PEs (as in
>>>>> http://datatracker.ietf.org/doc/draft-ram-l2vpn-etree-multiple-pw/?in
>>>>> clude_te
>>>>> xt=1)
>>>>> and completely ignores the solution based on usage of the CW in the
>>>>> PWs connecting the PEs (as in
>>>>> http://datatracker.ietf.org/doc/draft-key-l2vpn-vpls-etree/?include_t
>>>>> ext=1
>>>>> ).
>>>>>
>>>>>
>>>>>
>>>>> The Minutes of the Paris L2VPN session are not yet available, but I
>>>>> wonder whether the WG has taken a decision to reject the approach
>>>>> based on the CW usage? I do not remember any recent discussion of
>>>>> this topic on the WG mailing list.
>>>>>
>>>>>
>>>>>
>>>>> Regards, and lots of thanks in advance,
>>>>>
>>>>> Sasha
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>
>>>>> This e-mail message is intended for the recipient only and contains
>>>>> information which is CONFIDENTIAL and which may be proprietary to ECI
>>>
>>>>> Telecom. If you have received this transmission in error, please
>>>>> inform us by e-mail, phone or fax, and then delete the original and
>>>>> all copies thereof.
>>>>>
>>>
>>>
>>>
>>>
>>>
>>>This E-mail and any of its attachments may contain Time Warner Cable
>>>proprietary information, which is privileged, confidential, or subject
>>>to copyright belonging to Time Warner Cable. This E-mail is intended
>>>solely for the use of the individual or entity to which it is addressed.
>>>If you are not the intended recipient of this E-mail, you are hereby
>>>notified that any dissemination, distribution, copying, or action taken
>>>in relation to the contents of and attachments to this E-mail is
>>>strictly prohibited and may be unlawful. If you have received this
>>>E-mail in error, please notify the sender immediately and permanently
>>>delete the original and any copy of this E-mail and any printout.
>>>
>>
>>
>>This E-mail and any of its attachments may contain Time Warner Cable
>>proprietary information, which is privileged, confidential, or subject to
>>copyright belonging to Time Warner Cable. This E-mail is intended solely
>>for the use of the individual or entity to which it is addressed. If you
>>are not the intended recipient of this E-mail, you are hereby notified
>>that any dissemination, distribution, copying, or action taken in
>>relation to the contents of and attachments to this E-mail is strictly
>>prohibited and may be unlawful. If you have received this E-mail in
>>error, please notify the sender immediately and permanently delete the
>>original and any copy of this E-mail and any printout.
>
>
> This E-mail and any of its attachments may contain Time Warner Cable proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed. If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.
> This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.
>
>
>
> ------------------------------
>
> _______________________________________________
> L2vpn mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/l2vpn
>
>
> End of L2vpn Digest, Vol 95, Issue 25
> ***********************************

---

From: David Allan I <[email-masked]>
Date: Tue, 24 Apr 2012 16:17:12 -0400

Are you referring then to the C-tag....

It is preserved, NP

Dave

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 4:11 PM
To: Fedyk, Donald (Don); Hernandez-Valencia, Enrique (Enrique); [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan

So you have:

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

Daniel

Daniel,

Best Regards,
Lucy

Shahram and all,

Daniel

Hi,

Thx
Shahram

Hi, all,

Thanks
Lizhong

> From: Alexander Vainshtein
> <[email-masked]<mailt
> o:[email-masked]>>
> From: [email-masked]<mailto:[email-masked]>
> [[email-masked]<mailto:[email-masked]>] on behalf of
> Rogers, Josh [[email-masked]<mailto:[email-masked]>]
> I'm under the impression that adding P2MP to any model results in a
> more complex model.  Wether outside s-tag is used to differentiate, or
> dedicated pw's are used for the same purpose, it seems both become
> more complex.
>
> Gile's comparison slide still concisely captures the differences
> between these methods, in my opinion.  I haven't seen any new ideas or
> thoughts brought to the group in the past week or two on the subject.
> I would hate for both proposed methods to die on the vine because we
> couldn't decide between two methods that have nothing inherently wrong with either.
>
> -Josh
>
>
>>Two PW approach can be complex too if the VPLS instance for E-Tree
>>uses P2P PW for unicast traffic and P2MP PW for broadcast and unknown
>>unicast traffic, and some P2MP PWs for multicast traffic. It may
>>double all of them.
>>
>>Lucy
>>
>>From: Daniel Cohn
>>[mailto:[email-masked]<mailto:[email-masked]>]
>>I think the first option its the natural way to go. How is the
>>processing in this case more complex?
>>
>>Multi-PW - On ingress PE, frame is placed onto either a Leaf-only P2MP
>>PW (for traffic coming from a leaf AC), or onto a Root/Leaf P2MP PW
>>(for traffic coming from a root AC) [[LY]] Not that simple. You
>>construct either two P2MP PWs to all other PEs and let egress PE
>>performing filtering, or construct one P2MP PW to leaf-only PEs and
>>two P2MP PWs to root and leaf PEs and let ingress PE perform
>>forwarding and filtering. Both make node process complex.
>>
>>haven't had any first hand experience with P2MP PW's, however, so
>>don't feel terribly strong about this objection.  Is this a real
>>problem for others (now or in the future), or is this objection in the weeds?
>>
>>I'm not sure the 'additional complexity' is notable, or even relevant.
>>I encourage others to speak up if they disagree, as P2MP PW is only
>>>From: Sam Cao
>>>[mailto:[email-masked]<mailto:[email-masked]>]
>>>To: 'Daniel Cohn'; Lucy yong; 'Rogers, Josh'; 'Henderickx, Wim
>>>(Wim)'; [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>Cc: [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>
>>>Yes, 2 pws are only needed between pes with both root and leaf acs
>>>after improving Dual-PW approach. If consider P2MP, Dual-PW approach
>>>setup 2 P2MP PWs if need. There is no difference between P2MP or
>>>normal PW setup. But, can Leaf-ACs be bound to Root PE of P2MP PW?
>>>
>>>[[LY]] No, it makes complex in setting up P2MP PW. Should a PE with
>>>both root and leaf ACs set up two or one P2MP PW to other PEs (some
>>>PE have both root and leaf AC and some only have leaf ACs)?
>>>Regards,
>>>Lucy
>>>
>>>Regards,
>>>
>>>Yuqun (Sam) Cao
>>>From: Daniel Cohn
>>>[mailto:[email-masked]<mailto:[email-masked]>]
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:Alexander.Vainshtein@ecitele.
>>>com>; Sam Cao
>>>Cc: [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>
>>>From: Lucy yong
>>>[mailto:[email-masked]<mailto:[email-masked]>]
>>>[email-masked]<mailto:[email-masked]>;
>>>Cc: [email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>;
>>>[email-masked]<mailto:[email-masked]>
>>>[[LY]] Don't know if the assumption is true. Even it is the case,
>>>both approaches can benefit from it. I was off for a while and
>>>captures some discussions now.
>>>
>>>interface. Also there are potential backward compatibility issues
>>>with silicon that doesn't support vlan mapping.
>>>[[LY]] I was not in IETF83 meeting and wait on the meeting minutes. I
>>>am not clear on all the issues. Could you be more specific? As I
>>>mentioned in below, two PW approach makes VPLS transport construction
>>>and packet forwarding more complex, I can see potential backward
>>>compatibility issues with 2 PW solution.
>>>
>>>Regards,
>>>Lucy
>>>
>>>Regards,
>>>
>>>Daniel
>>>
>>>Two PW approach can be complex too if the VPLS instance for E-Tree
>>>uses P2P PW for unicast traffic and P2MP PW for broadcast and unknown
>>>unicast traffic, and some P2MP PWs for multicast traffic. It may
>>>double all of them.
>>>
>>>E-tree is an Ethernet service and there is already VLAN based
>>>solution in IEEE, can we just utilize it without complicating VPLS
>>>transport construction? This also makes interworking with Eth only network easier.
>>>
>>>Cheers,
>>>Lucy
>>>
>>>From: Rogers, Josh
>>>[mailto:[email-masked]<mailto:[email-masked]>]
>>>To: Lucy yong; Henderickx, Wim (Wim);
>>>[email-masked]<mailto:[email-masked]>';
>>>Cc: [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>I believe the initial question was in regard to the CW method.  Are
>>>you saying that you no longer are interested in that method in
>>>preference of the dual vlan method?
>>>
>>>
>>>
>>>From: [email-masked]<mailto:[email-masked]>
>>>[mailto:[email-masked]<mailto:[email-masked]>] On
>>>Behalf Of Henderickx, Wim (Wim)
>>>To: [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>Cc: [email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>[email-masked]<mailto:[email-masked]>';
>>>From: Giles Heron
>>>[mailto:[email-masked]<mailto:[email-masked]>]
>>>To: Simon Delord
>>><[email-masked]<mailto:[email-masked]>>; Alexander
>>>Vainshtein
>>><[email-masked]<mailto:[email-masked]>>; Vladimir Kleiner
>>><[email-masked]<mailto:[email-masked]>>; Idan
>>>Kaspit <[email-masked]<mailto:[email-masked]>>;
>>>Mishael Wexler
>>><[email-masked]<mailto:[email-masked]>>;
>>>Rotem Cohen <[email-masked]<mailto:[email-masked]>>
>>>Sorry - the "anonymous presentation" was mine.  I should possibly
>>>have put in a third column on the CW approach.  And hopefully the
>>>minutes will be posted soon.
>>>
>>>We had various discussions, as Simon stated, and consensus seemed to
>>>be forming around the two alternatives of two PWEs or two VLANs.  I
>>>believe three of the authors of the CW approach are also authors of
>>>the two VLAN approach and one is also an author of the two PWE
>>>approach. So perhaps it's best to let those four individuals say
>>>which approach they prefer and why?
>>>
>>>Giles
>>>
>>>> there have been substantial discussions among the authors of
>>>> various solution drafts off the mailing list. As far as I know, no
>>>> consensus yet before ietf83, not sure the progress in the Paris WG
>>>> meeting. I think the CW approach has not been rejected by the WG
>>>> yet, or the WG has not yet decided on which one to adopt.
>>>>
>>>> Simon
>>>>
>>>> 2012/4/8 Alexander Vainshtein
>>>>> This presentation discusses the differences of the E-Tree
>>>>> approaches based on dedicated VLANs (as in
>>>>> and completely ignores the solution based on usage of the CW in
>>>>> the PWs connecting the PEs (as in
>>>>> The Minutes of the Paris L2VPN session are not yet available, but
>>>>> I wonder whether the WG has taken a decision to reject the
>>>>> approach based on the CW usage? I do not remember any recent
>>>>> discussion of this topic on the WG mailing list.
>>>>>
>>>>>
>>>>>
>>>>> This e-mail message is intended for the recipient only and
>>>>> contains information which is CONFIDENTIAL and which may be
>>>>> proprietary to ECI
>>>
>>>>> inform us by e-mail, phone or fax, and then delete the original
>>>>> and all copies thereof.
>>>>>
>>>
>>>
>>>
>>>
>>>
>>>proprietary information, which is privileged, confidential, or
>>>subject to copyright belonging to Time Warner Cable. This E-mail is
>>>intended solely for the use of the individual or entity to which it is addressed.
>>>notified that any dissemination, distribution, copying, or action
>>>taken in relation to the contents of and attachments to this E-mail
>>>is strictly prohibited and may be unlawful. If you have received this
>>solely for the use of the individual or entity to which it is
>>addressed. If you are not the intended recipient of this E-mail, you
>>are hereby notified that any dissemination, distribution, copying, or
>>action taken in relation to the contents of and attachments to this
>>E-mail is strictly prohibited and may be unlawful. If you have
>>received this E-mail in error, please notify the sender immediately
>>and permanently delete the original and any copy of this E-mail and any printout.
>
>

---

From: "Fedyk, Donald (Don)" <[email-masked]>
Date: Tue, 24 Apr 2012 15:20:04 -0500

Dan,

There is a one to one mapping in both directions.
Ingress <-> root VID <-> Egress VID
Ingress <-> leaf VID <-> Egress VID

Therefore each end is configured and if you want ingress to equal ingress then you configure it that way.

If you are thinking about a model that encapsulates multiple ingress VLANs on to a Etree, then you would encapsulate first and the outer encapsulation (S-TAG for example) would be the ingress/egress VIDs.

Then the choice to encapsulate is separate from the E-Tree service which still only uses a single VID per frame.

Don

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 4:11 PM
To: Fedyk, Donald (Don); Hernandez-Valencia, Enrique (Enrique); [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan

So you have:

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

Daniel

Daniel,

Best Regards,
Lucy

Shahram and all,

Daniel

Hi,

Thx
Shahram

Hi, all,

Thanks
Lizhong

---

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 24 Apr 2012 23:44:24 +0300

No, the thread is about S-VLAN ID preservation.

-----Original Message-----
From: David Allan I [mailto:[email-masked]] 
Sent: Tuesday, April 24, 2012 11:17 PM
To: Daniel Cohn; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

It is preserved, NP

Dave

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Daniel Cohn
Sent: Tuesday, April 24, 2012 4:11 PM
To: Fedyk, Donald (Don); Hernandez-Valencia, Enrique (Enrique);
[email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Preservation requires egress = ingress vid - how does the egress pe know
what the ingress vid was, if the ingress vid was swapped at ingress?

Dan

In an E-Tree Model you have logically one VLAN on ingress and one on
Egress. In the E-Tree you can use a Root or Leaf VID. (one or the
other.)

So you have:

Ingress VID does not have to equal Egress VID but regardless there is
only ever one VID on a frame at a time.

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod
HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin;
[email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

I don't know what kind of translation you propose but I don't see how
you can preserve the original s-vlan id plus root/leaf in the same
number of bits

"Hernandez-Valencia, Enrique (Enrique)"
<[email-masked]> wrote:

VLAN-ID preservation does not necessarily require a third VLAN-ID.
VLAN-ID translation is sufficient.

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh;
Shahram Davari; Lizhong Jin; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

No, the other way round. In the 2-VLAN solution, S-VLAN ID preservation
requires adding a third VLAN ID. In the multi-PW solution, this is not
required.

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon)
[mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin;
[email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,
Is it so that you consider S-VAL stacking?
If this is the case, are you aware that this is not in-line with the
IEEE specifications?
Best regard,
Nurit

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin;
[email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

even if the current MEF framework doesn't require s-vlan preservation, I
believe it's to the industry's benefit to adopt a solution that is not
constrained to a specific enni model that, like all things networking,
is likely to evolve. Especially when such a solution is available.

Daniel

Daniel,

MEF has worked in ENNI interface for a long time with many service
providers' inputs. It had a fair reason to assume S-VLAN over ENNI by
then. It may open B-VLAN for the future. It is better for us not to
discuss  a future framework here, because it will lead us to nowhere.
Here, we want to extend VPLS in supporting E-Tree.

Best Regards,
Lucy

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Daniel Cohn
Sent: Sunday, April 22, 2012 7:34 AM
To: Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked];
[email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Shahram and all,

This question already came up in our discussions - is it safe to assume
that the VLAN tags at the E-NNI will always be according to the current
MEF model? Or should we try to be as transparent as possible to user
VLAN encapsulation at the E-NNI, to accommodate future frameworks?
I believe that any approach that looks at user payload (in this case
VLAN tag) to signal VPLS information (in this case root/leaf origin) is
necessarily tied to specific assumptions on user payload encapsulation
(in this case, that S-VLAN tag is "available" to encode root/leaf). I
don't think this is a future-proof assumption, it's very likely that
other network models will come up that require S-VLAN preservation,
which in the 2-VLAN approach would necessitate adding a third VLAN-ID.

Daniel

From: Shahram Davari <[email-masked]<mailto:[email-masked]>>
To: Lizhong Jin <[email-masked]<mailto:[email-masked]>>,
"[email-masked]<mailto:[email-masked]>"
<[email-masked]<mailto:[email-masked]>>,
"[email-masked]<mailto:[email-masked]
m>"
<[email-masked]<mailto:[email-masked]
m>>
Cc: "[email-masked]<mailto:[email-masked]>"
<[email-masked]<mailto:[email-masked]>>
Subject: RE: The status of the approaches to the E-Tree solution?

Hi,

I also have a question regarding 2-VLAN. What if the customer traffic
already has an S-VLAN? Do we need a 3rd VLAN to identify the L/R?

Thx
Shahram

From: [email-masked]<mailto:[email-masked]>
[mailto:[email-masked]] On Behalf Of Lizhong Jin
Sent: Friday, April 20, 2012 9:38 AM
To: [email-masked]<mailto:[email-masked]>;
[email-masked]<mailto:[email-masked]

Hi, all,
The difference between 2-VLAN and CW approach is who will provide the
R/L information, customer payload or PW? The customer payload will be
always modified to carry R/L information in 2-VLAN approach, while PW
with CW will carry R/L information for CW approach.
I have a question with the 2-VLAN approach in H-VPLS where H-VPLS is
accessed by VPWS as described in RFC4672 section 10.1.3. If VPWS is used
to access H-VPLS, how could the PE on VPWS side adds VLAN to indicate
R/L information?

Thanks
Lizhong

> To: "Rogers, Josh"
<[email-masked]<mailto:[email-masked]>>, Lucy yong
>        <[email-masked]<mailto:[email-masked]>>, Daniel
Cohn <[email-masked]<mailto:[email-masked]>>, Sam Cao
> IMO one of the advantages of the CW-based solution is that it is
orthogonal to usage (or non-usage) of P2MP PWs for effective delivery of
BUN traffic.
>
> Another advantage is preservation of full mesh of P2P PWs in a VPLS,
and, in a more generic way, localization of effects of changes in the PE
configuration.
>
> In particular, adding a Leaf AC to a PE that previously has been only
supporting Root ACs (or vice versa), removal of the last Leaf or last
Root AC from a PE that previously has been supporting a mix etc. affect
only the PE where this operation happens and not the rest of the PEs.
>
> As for the need for HW changes that have been mentioned as a main
disadvantage of the CW-based approach - I believe it strongly depends on
specific implementations. And some changes in the forwarding process are
required in any solution.
> On 4/18/12 1:53 PM, "Lucy yong"
<[email-masked]<mailto:[email-masked]>> wrote:
>>On 4/18/12 10:30 AM, "Lucy yong"
<[email-masked]<mailto:[email-masked]>> wrote:
>>>com>
>>>com>
[email-masked]<mailto:[email-masked]
m>'
>>>[email-masked]<mailto:[email-masked]>';
[email-masked]<mailto:[email-masked]>'
>>>[email-masked]<mailto:[email-masked]>';
[email-masked]<mailto:[email-masked]>'
>>>On 10/04/2012 00:45, "Simon Delord"
information which is CONFIDENTIAL and which may be proprietary to ECI
Telecom. If you have received this transmission in error, please inform
us by e-mail, phone or fax, and then delete the original and all copies
thereof.

---

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 24 Apr 2012 23:50:34 +0300

Now I see where the misunderstanding lies. 

When the thread about S-VLAN preservation started, the question was not how to preserve an S-VLAN ID added at the E-NNI to encode root/leaf, but how to preserve an existing S-VLAN ID that was added with another, not necessarily etree-related purpose.

Quoting Shahram's e-mail from Apr 20 that started the thread - "I also have a question regarding 2-VLAN. What if the customer traffic already has an S-VLAN? Do we need a 3rd VLAN to identify the L/R?"

Hope this clarifies it,

DC

-----Original Message-----
From: Fedyk, Donald (Don) [mailto:[email-masked]] 
Sent: Tuesday, April 24, 2012 11:20 PM
To: Daniel Cohn; Hernandez-Valencia, Enrique (Enrique); [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan,

Don

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 4:11 PM
To: Fedyk, Donald (Don); Hernandez-Valencia, Enrique (Enrique); [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan

So you have:

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

Daniel

Daniel,

Best Regards,
Lucy

Shahram and all,

Daniel

Hi,

Thx
Shahram

Hi, all,

Thanks
Lizhong

---

From: David Allan I <[email-masked]>
Date: Tue, 24 Apr 2012 16:48:48 -0400

Then, and I do not wish to sound rude, but I do not know what you are talking about.

The leaf to root S-tag is preserved. The root to root/leaf S-tag is preserved. An individual frame can only be one or the other so only carries one S-tag.

The only exception being the option to symmetrically translate tags at administrative boundaries as is documented in 802.1ad. But that does not change the semantics, simply the VIDs used.

Cheers
Dave

-----Original Message-----
From: David Allan I [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 11:17 PM
To: Daniel Cohn; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

It is preserved, NP

Dave

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 4:11 PM
To: Fedyk, Donald (Don); Hernandez-Valencia, Enrique (Enrique); [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan

In an E-Tree Model you have logically one VLAN on ingress and one on Egress. In the E-Tree you can use a Root or Leaf VID. (one or the
other.)

So you have:

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

Daniel

Daniel,

MEF has worked in ENNI interface for a long time with many service providers' inputs. It had a fair reason to assume S-VLAN over ENNI by then. It may open B-VLAN for the future. It is better for us not to discuss  a future framework here, because it will lead us to nowhere.
Here, we want to extend VPLS in supporting E-Tree.

Best Regards,
Lucy

Shahram and all,

Daniel

Hi,

Thx
Shahram

Hi, all,

Thanks
Lizhong

> IMO one of the advantages of the CW-based solution is that it is
orthogonal to usage (or non-usage) of P2MP PWs for effective delivery of BUN traffic.
> Another advantage is preservation of full mesh of P2P PWs in a VPLS,
and, in a more generic way, localization of effects of changes in the PE configuration.
> In particular, adding a Leaf AC to a PE that previously has been only
supporting Root ACs (or vice versa), removal of the last Leaf or last Root AC from a PE that previously has been supporting a mix etc. affect only the PE where this operation happens and not the rest of the PEs.
> As for the need for HW changes that have been mentioned as a main
disadvantage of the CW-based approach - I believe it strongly depends on specific implementations. And some changes in the forwarding process are required in any solution.
> This E-mail and any of its attachments may contain Time Warner Cable
proprietary information, which is privileged, confidential, or subject to copyright belonging to Time Warner Cable. This E-mail is intended solely for the use of the individual or entity to which it is addressed.
If you are not the intended recipient of this E-mail, you are hereby notified that any dissemination, distribution, copying, or action taken in relation to the contents of and attachments to this E-mail is strictly prohibited and may be unlawful. If you have received this E-mail in error, please notify the sender immediately and permanently delete the original and any copy of this E-mail and any printout.
> This e-mail message is intended for the recipient only and contains
information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: "Daniel Cohn" <[email-masked]>
Date: Tue, 24 Apr 2012 23:52:38 +0300

None taken ;-)
I think the e-mail I just sent will help clarify the point.

DC

-----Original Message-----
From: David Allan I [mailto:[email-masked]] 
Sent: Tuesday, April 24, 2012 11:49 PM
To: Daniel Cohn; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Then, and I do not wish to sound rude, but I do not know what you are
talking about.

The leaf to root S-tag is preserved. The root to root/leaf S-tag is
preserved. An individual frame can only be one or the other so only
carries one S-tag.

The only exception being the option to symmetrically translate tags at
administrative boundaries as is documented in 802.1ad. But that does not
change the semantics, simply the VIDs used.

Cheers
Dave

-----Original Message-----
From: David Allan I [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 11:17 PM
To: Daniel Cohn; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

It is preserved, NP

Dave

-----Original Message-----

Dan

So you have:

Don

-----Original Message-----

Enrique

-----Original Message-----

DC

-----Original Message-----

Daniel,

-----Original Message-----

Lucy,

Daniel

Daniel,

Best Regards,
Lucy

Shahram and all,

Daniel

Hi,

Thx
Shahram

Hi, all,

Thanks
Lizhong

---

From: David Allan I <[email-masked]>
Date: Tue, 24 Apr 2012 16:56:02 -0400

Yes it did,

Shahram's example is half pregnant, it is partially ETREE and partially ELAN, and we are discussing changing administrative boundaries so VID translation would be required (although I'm not sure this scenario, mapping symmetric to asymmetric, actually is supported by the standard, I'll leave that to others).

Given the change of administration, IMO preserving a specific S-VID value to me is a non-requirement...that would be the key thought.

Glad we could bottom this out
Cheers
Dave

-----Original Message-----
From: Daniel Cohn [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 4:53 PM
To: David Allan I; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

None taken ;-)

DC

-----Original Message-----
From: David Allan I [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 11:49 PM
To: Daniel Cohn; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Cheers
Dave

-----Original Message-----
From: David Allan I [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 11:17 PM
To: Daniel Cohn; [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

It is preserved, NP

Dave

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 4:11 PM
To: Fedyk, Donald (Don); Hernandez-Valencia, Enrique (Enrique); [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Dan

So you have:

Don

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 12:58 PM
To: Hernandez-Valencia, Enrique (Enrique); Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Enrique

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel Cohn
Sent: Tuesday, April 24, 2012 7:17 AM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

DC

-----Original Message-----
From: Sprecher, Nurit (NSN - IL/Hod HaSharon) [mailto:[email-masked]]
Sent: Tuesday, April 24, 2012 2:02 PM
To: Daniel Cohn; Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Daniel,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Daniel Cohn
Sent: Tuesday, April 24, 2012 10:12 AM
To: Lucy yong; Rogers, Josh; Shahram Davari; Lizhong Jin; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: RE: The status of the approaches to the E-Tree solution?

Lucy,

Daniel

Daniel,

Best Regards,
Lucy

Shahram and all,

Daniel

Hi,

Thx
Shahram

Hi, all,

Thanks
Lizhong